### Enumeration

# AppStreamCompose MediaError

since: 1.2.0

#### Declaration

    error-domain AppStreamCompose.MediaError

#### Description [src]

A media processing error.

Available since: 1.2.0

#### Members

`ASC_MEDIA_ERROR_FAILED`

  Generic failure.

  - Value: `0`
  - Available since: 1.2.0
`ASC_MEDIA_ERROR_DEAD_WORKER`

  The media worker process crashed or could not be spawned.

  - Value: `1`
  - Available since: 1.2.0
`ASC_MEDIA_ERROR_TIMEOUT`

  A media operation took too long and was aborted.

  - Value: `2`
  - Available since: 1.2.0
`ASC_MEDIA_ERROR_PROTOCOL`

  Communication with the media worker was corrupted.

  - Value: `3`
  - Available since: 1.2.0
`ASC_MEDIA_ERROR_UNSUPPORTED`

  The requested operation or image type was not supported.

  - Value: `4`
  - Available since: 1.2.0

#### Type functions

###### asc_media_error_is_worker_failure

Check whether the given error indicates that the media worker itself malfunctioned, as opposed to the processed media simply being broken. Only the former should be reported to users as a worker problem.

since: 1.2.0

###### asc_media_error_quark

No description available.

since: 1.2.0